﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.Misc;
using Infragistics.Win;
using System.Diagnostics;
using Infragistics.Win.UltraWinGrid;
using System.IO;
using System.Globalization;

namespace UltraGridNavigatorSample
{
    public partial class Form1 : Form
    {
       
        public Form1()
        {
            InitializeComponent();
            this.ultraGrid1.DataSource = this.MokeLotOfData();
        }

        private object MokeLotOfData()
        {
            DataTable dT = new DataTable("MokeData");
            for (int i = 0; i < 5; i++) {
                dT.Columns.Add("col-" + i.ToString(), typeof(string));
            }
            for (int i = 5; i < 10; i++) {
                dT.Columns.Add("col-" + i.ToString(), typeof(double));
            }
            for (int i = 10; i < 15; i++) {
                dT.Columns.Add("col-" + i.ToString(), typeof(DateTime));
            }

            for (int j = 0; j < 1000; j++) {
                DataRow dR = dT.NewRow();
                for (int i = 0; i < 5; i++) {
                    dR["col-" + i.ToString()] = DateTime.Now.ToString();
                }
                for (int i = 5; i < 10; i++) {
                    dR["col-" + i.ToString()] = DateTime.Now.Ticks / 100;
                }
                for (int i = 10; i < 15; i++) {
                    dR["col-" + i.ToString()] = DateTime.Now;
                }
                dT.Rows.Add(dR);
            }

            return dT;
        }

       
    }


}
